Bug 496388 - kernel oops when booting OLPC-XO off SD card
kernel oops when booting OLPC-XO off SD card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-04-18 10:28 EDT by Peter Robinson
Modified: 2010-06-28 07:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Photo of OLPC kernel oops (1.52 MB, image/jpeg)
2009-04-18 10:28 EDT, Peter Robinson
no flags Details
another oops. With the 2.6.29.1-111 kernel (1.38 MB, image/jpeg)
2009-04-30 16:11 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2009-04-18 10:28:56 EDT
Created attachment 340156 [details]
Photo of OLPC kernel oops

Using a livecd created off rawhide as a OLPC image and booting it off the SD card I get the attached crash. Unfortunately I have yet to manage to extract the text so the best I've got so far is a photo, I also think some has scrolled off the screen. I'm trying to get a better version of the output. Kernel was the latest one as of Apr 18th.
Comment 1 Chuck Ebbert 2009-04-21 15:04:30 EDT
The interesting information has scrolled off.  Try adding 'pause_on_oops=120' to the boot options to make the system wait 120 seconds after printing the oops message so you can get a picture.
Comment 2 Peter Robinson 2009-04-30 16:11:03 EDT
Created attachment 341990 [details]
another oops. With the 2.6.29.1-111 kernel

I have another oops on boot. This time with the 2.6.29.1-111 kernel. Not sure if its the same oops and it seems to have all fitted on the screen as I can still see the cut here at the top
Comment 3 Chuck Ebbert 2009-04-30 21:53:51 EDT
arch/x86/mm/highmem_32.c:115:
                BUG_ON(vaddr >= (unsigned long)high_memory);

sg_miter_stop
sg_copy_buffer
sg_copy_from_buffer
mmc_queue_bounce_post [mmc_block]
mmc_blk_issue_rq [mmc_block]
mmc_wait_done [mmc_core]
__dequeue_entity
elv_dispatch_sort
__cfq_slice_expired
cfq_slice_expired
cfq_dispatch_requests
elv_next_request
mmc_queue_thread [mmc_block]
Comment 4 Bug Zapper 2009-06-09 10:04:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Peter Robinson 2009-11-20 05:46:19 EST
Has this been fixed in later kernels or is it still possibly an issue?
Comment 6 Bug Zapper 2010-04-27 09:45:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:54:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.